We use these services and cookies to improve your user experience. You may opt out if you wish, however, this may limit some features on this site.

Please see our statement on Data Privacy.

Zendesk (Helpdesk and Chat)
Ok

THREATINT
PUBLISHED

CVE-2024-27030

octeontx2-af: Use separate handlers for interrupts

Reserved:2024-02-19
Published:2024-05-01
Updated:2024-05-13

Description

In the Linux kernel, the following vulnerability has been resolved: octeontx2-af: Use separate handlers for interrupts For PF to AF interrupt vector and VF to AF vector same interrupt handler is registered which is causing race condition. When two interrupts are raised to two CPUs at same time then two cores serve same event corrupting the data.

Product status

Default status
unaffected

7304ac4567bc before 94cb17e5cf3a
affected

7304ac4567bc before 766c2627acb2
affected

7304ac4567bc before 772f18ded0e2
affected

7304ac4567bc before 29d2550d79a8
affected

7304ac4567bc before dc29dd00705a
affected

7304ac4567bc before ad6759e233db
affected

7304ac4567bc before 4fedae8f9eaf
affected

7304ac4567bc before 50e60de381c3
affected

Default status
affected

4.20
affected

Any version before 4.20
unaffected

5.4.273
unaffected

5.10.214
unaffected

5.15.153
unaffected

6.1.83
unaffected

6.6.23
unaffected

6.7.11
unaffected

6.8.2
unaffected

6.9
unaffected

References

https://git.kernel.org/stable/c/94cb17e5cf3a3c484063abc0ce4b8a2b2e8c1cb2

https://git.kernel.org/stable/c/766c2627acb2d9d1722cce2e24837044d52d888a

https://git.kernel.org/stable/c/772f18ded0e240cc1fa2b7020cc640e3e5c32b70

https://git.kernel.org/stable/c/29d2550d79a8cbd31e0fbaa5c0e2a2efdc444e44

https://git.kernel.org/stable/c/dc29dd00705a62c77de75b6d752259b869aac49d

https://git.kernel.org/stable/c/ad6759e233db6fcc131055f8e23b4eafbe81053c

https://git.kernel.org/stable/c/4fedae8f9eafa2ac8cdaca58e315f52a7e2a8701

https://git.kernel.org/stable/c/50e60de381c342008c0956fd762e1c26408f372c

cve.org CVE-2024-27030

nvd.nist.gov CVE-2024-27030

Download JSON

Share this page
https://cve.threatint.com/CVE/CVE-2024-27030